pamusb-check(1)

NAME
pamusb-check - check if current pam_usb configuration authenticates given user

SYNOPSIS
Usage: pamusb-check [--help] [--debug] [--config=path] [--service=name] [--dump]
[--quiet] [--version] <username>

DESCRIPTION
pamusb-check can simulate authentication through the pam_usb engine. It is useful for both testing purposes (to check the pam_usb configuration without having to try with a real program), but also for scripting. pamusb-check's exit code is 0 if the authentication was successful, 1 otherwise. It is used by pamusb-agent to check the device.

EXAMPLES
$ pamusb-check scox

•   Authentication request for user "scox" (pamusb-check)

•   Device "creative" is connected (good).

•   Access granted.

$ pamusb-check --service=su scox

•   Authentication request for user "scox" (su)

•   Device "creative" is connected (good).

•   Access granted.

$ pamusb-check --dump scox

Configuration dump for user scox (service: pamusb-check):

enable
    : true

debug
    : false

quiet
    : false

color_log
    : true

one_time_pad
    : true

probe_timeout
    : 10

hostname
    : helium

system_pad_directory
    : .pamusb

device_pad_directory
    : .pamusb

OPTIONS

--help, -h
    Show summary of options.

--debug, -D
    Shows debug messages.

--config, -c
    Use the given configuration file (defaults to /etc/security/pam_usb.conf).

--service, -s
    Service name to be used for authentication (defaults to pamusb-check)

--dump, -d
    Dump the configuration, but do not try to authenticate

--quiet, -q
    Quiet mode

BUGS
Please report bugs on the Github issue tracker at https://github.com/mcdope/pam_usb/issues.

AUTHOR
Andrea Luzzardi <scox@sig11.org>, Tobias Bäumer <tobiasbaeumer@gmail.com>